eoVariableParetoTraits(3)

NAME
eoVariableParetoTraits - eoVariableParetoTraits : an eoParetoFitnessTraits whose characteristics can be set at run-time (nb objectives and min/max's) Why bother? For didactical purposes (and EASEA implementation :-)

SYNOPSIS

#include <eoParetoFitness.h>

Inherits eoParetoFitnessTraits.

  Static Public Member Functions
void setUp (unsigned _n, std::vector< bool > &_b)
setting the static stuff
unsigned nObjectives ()
the accessors
bool maximizing (unsigned _i)

  Static Private Attributes
unsigned nObj
std::vector< bool > bObj

Detailed Description

eoVariableParetoTraits : an eoParetoFitnessTraits whose characteristics can be set at run-time (nb objectives and min/max's) Why bother? For didactical purposes (and EASEA implementation :-)

Definition at line 56 of file eoParetoFitness.h.

Author

Generated automatically by Doxygen for EO from the source code.